Checkbox
Bootstrap checkbox
The checkbox is a component used to allow a user to make multiple choices which is broadly used in forms and surveys.
Checkboxes are used to select one or several options in a list, while radio (option) buttons are for selecting one option from many.
Default checkboxes
Default styling for the Bootstrap Checkbox component
<!-- Default unchecked -->
<div class="custom-control custom-checkbox">
<input type="checkbox" class="custom-control-input" id="defaultUnchecked">
<label class="custom-control-label" for="defaultUnchecked">Default unchecked</label>
</div>
Material checkboxes MDB Pro component
The Material Design styling for Bootstrap Checkbox component
<!-- Material unchecked -->
<div class="form-check">
<input type="checkbox" class="form-check-input" id="materialUnchecked">
<label class="form-check-label" for="materialUnchecked">Material unchecked</label>
</div>
Checked state
Add the
checked
attribute to the
<input>
element in order to pre-select the checkbox when the page loads.
The
checked
attribute is a boolean attribute.
The checked attribute can be used with
<input type="checkbox">
and
<input type="radio">
.
Default checkbox
<!-- Default checked -->
<div class="custom-control custom-checkbox">
<input type="checkbox" class="custom-control-input" id="defaultChecked2" checked>
<label class="custom-control-label" for="defaultChecked2">Default checked</label>
</div>
Material checkbox MDB Pro component
<!-- Material checked -->
<div class="form-check">
<input type="checkbox" class="form-check-input" id="materialChecked2" checked>
<label class="form-check-label" for="materialChecked2">Material checked</label>
</div>
Indeterminate state
Note: The indeterminate state is only visual. The checkbox is still either checked or unchecked as a state.
Use this simple jQuery function to set an indeterminate state to your checkbox:
$('#yourCheckboxID').prop('indeterminate', true);
Default checkbox
<!-- Default indeterminate -->
<div class="custom-control custom-checkbox">
<input type="checkbox" class="custom-control-input" id="defaultIndeterminate2" checked>
<label class="custom-control-label" for="defaultIndeterminate2">Default indeterminate</label>
</div>
$('#defaultIndeterminate2').prop('indeterminate', true);
Material checkbox MDB Pro component
<!-- Material indeterminate -->
<div class="form-check">
<input type="checkbox" class="form-check-input" id="materialIndeterminate2" checked>
<label class="form-check-label" for="materialIndeterminate2">Material indeterminate</label>
</div>
$('#materialIndeterminate2').prop('indeterminate', true);
Disabled state
Add the
disabled
boolean attribute to the
<input>
element and then the custom indicator and label description will be automatically styled and blocked.
A disabled
<input>
element is unusable and un-clickable.
Default checkbox
<!-- Default unchecked disabled -->
<div class="custom-control custom-checkbox">
<input type="checkbox" class="custom-control-input" id="defaultUncheckedDisabled2" disabled>
<label class="custom-control-label" for="defaultUncheckedDisabled2">Default unchecked disabled</label>
</div>
<!-- Default checked disabled -->
<div class="custom-control custom-checkbox">
<input type="checkbox" class="custom-control-input" id="defaultCheckedDisabled2" checked disabled>
<label class="custom-control-label" for="defaultCheckedDisabled2">Default checked disabled</label>
</div>
Material checkbox MDB Pro component
To provide a proper cursor styling for the material checkbox, in addition to setting the disabled
attribute you’ll also need to add the .disabled
class to the <label>
element.
<!-- Material unchecked disabled -->
<div class="form-check">
<input type="checkbox" class="form-check-input" id="materialUncheckedDisabled2" disabled>
<label class="form-check-label" for="materialUncheckedDisabled2">Material unchecked disabled</label>
</div>
<!-- Material checked disabled -->
<div class="form-check">
<input type="checkbox" class="form-check-input" id="materialCheckedDisabled" checked="checked2" disabled>
<label class="form-check-label" for="materialCheckedDisabled2">Material checked disabled</label>
</div>
Inline
Default checkboxes
Group default checkboxes or radios on the same horizontal row by adding the .custom-control-inline
class to any parent element of the <input>
element.
<!-- Default inline 1-->
<div class="custom-control custom-checkbox custom-control-inline">
<input type="checkbox" class="custom-control-input" id="defaultInline1">
<label class="custom-control-label" for="defaultInline1">1</label>
</div>
<!-- Default inline 2-->
<div class="custom-control custom-checkbox custom-control-inline">
<input type="checkbox" class="custom-control-input" id="defaultInline2">
<label class="custom-control-label" for="defaultInline2">2</label>
</div>
<!-- Default inline 3-->
<div class="custom-control custom-checkbox custom-control-inline">
<input type="checkbox" class="custom-control-input" id="defaultInline3">
<label class="custom-control-label" for="defaultInline3">3</label>
</div>
Material checkboxes MDB Pro component
Group material checkboxes or radios on the same horizontal row by adding the .form-check-inline
class to any parent element of the <input>
element.
<!-- Material inline 1 -->
<div class="form-check form-check-inline">
<input type="checkbox" class="form-check-input" id="materialInline1">
<label class="form-check-label" for="materialInline1">1</label>
</div>
<!-- Material inline 2 -->
<div class="form-check form-check-inline">
<input type="checkbox" class="form-check-input" id="materialInline2">
<label class="form-check-label" for="materialInline2">2</label>
</div>
<!-- Material inline 3 -->
<div class="form-check form-check-inline">
<input type="checkbox" class="form-check-input" id="materialInline3">
<label class="form-check-label" for="materialInline3">3</label>
</div>
Getting started: download & setup
Download
All of the components and features are a part of the MDBootstrap package.
MDBootstrap (Material Design for Bootstrap) is an MIT Licensed framework - free for personal & commercial use.
It combines the esthetic of Material Design and the functionalities of the newest Bootstrap.
Click on the button below to visit the Getting Started Page, where you can download the latest MDBootstrap package.
MDBootstrap Download MDBootstrap AboutMDB Pro
Using components and features labeled as MDB Pro component requires the MDB Pro package - a powerful UI Kit containing over 5,000 components, dozens of plugins and much more cool features.
Click the button below to learn more about the MDBootstrap Pro package.
MDBootstrap ProTutorials
If you need any additional help, use our "5 min Quick Start" guide or start full Bootstrap tutorial.
5 min Quick Start Full Bootstrap TutorialCompilation & Customization
To reduce the weight of MDBootstrap package even more, you can compile your own, custom package containing only those components and features that you need.
If you need additional help with compiling your custom package, please use our Compilation & Customization tutorial.
Compilation & Customization tutorialMap of dependencies of SCSS files in MDBootstrap:
Legend:
'-->' means 'required'
All free and pro files require files from 'core' catalog
'none' means 'this component doesn't require anything except core files'
A file wrapped by `< >` means that this file make the base component prettier but it isn't necessary for the proper working
All PRO components require 'pro/_variables.scss' file
scss/
|
|-- core/
| |
| |-- bootstrap/
| | |-- _functions.scss
| | |-- _variables.scss
| |
| |-- _colors.scss
| |-- _global.scss
| |-- _helpers.scss
| |-- _masks.scss
| |-- _mixins.scss
| |-- _typography.scss
| |-- _variables.scss
| |-- _waves.scss
|
|-- free/
| |-- _animations-basic.scss --> none
| |-- _animations-extended.scss --> _animations-basic.scss
| |-- _buttons.scss --> none
| |-- _cards.scss --> none <_buttons.scss>
| |-- _dropdowns.scss --> none <_buttons.scss>
| |-- _input-group.scss --> _forms.scss, _buttons.scss, _dropdowns.scss
| |-- _navbars.scss --> none <_buttons.scss, _forms.scss, _input-group.scss>
| |-- _pagination.scss --> none
| |-- _badges.scss --> none
| |-- _modals.scss --> _buttons.scss, _forms.scss (PRO --> _tabs.scss)
| |-- _carousels.scss --> <_buttons.scss>
| |-- _forms.scss --> none
| |-- _msc.scss --> none <_buttons.scss, _forms.scss, _cards.scss>
| |-- _footers.scss none <_buttons.scss> (PRO: )
| |-- _list-group.scss --> none
| |-- _tables.scss --> none (PRO: _material-select.scss, pro/_forms.scss, _checkbox.scss, pro/_buttons.scss, pro/_cards.scss, _pagination.scss, pro/_msc.scss)
| |-- _depreciated.scss
|
|-- pro/
| |
| |-- picker/
| | |-- _default.scss --> none
| | |-- _default-time.scss --> _default.scss, free/_forms.scss, free/_buttons.scss, pro/_buttons.scss, free/_cards.scss
| | |-- _default-date.scss --> _default.scss, free/_forms.scss
| |
| |-- sections/
| | |-- _templates.scss --> _sidenav.scss
| | |-- _social.scss --> free/_cards.scss, free/ _forms.scss, free/_buttons.scss, pro/_buttons.scss,
| | |-- _team.scss --> free/_buttons.scss, pro/_buttons.scss, free/_cards.scss, pro/_cards.scss
| | |-- _testimonials.scss --> free/_carousels.scss, pro/_carousels.scss, free/_buttons.scss, pro/_buttons.scss
| | |-- _magazine.scss --> _badges.scss
| | |-- _pricing.scss --> free/_buttons.scss, pro/_buttons.scss
| | |-- _contacts.scss --> free/_forms.scss, pro/_forms.scss, free/_buttons.scss, pro/_buttons.scss
| |
| |-- _variables.scss
| |-- _buttons.scss --> free/_buttons.scss, pro/_msc.scss, _checkbox.scss, _radio.scss
| |-- _social-buttons.scss --> free/_buttons.scss, pro/_buttons.scss
| |-- _tabs.scss --> _cards.scss
| |-- _cards.scss --> free/_cards.scss <_buttons.scss, _social-buttons.scss>
| |-- _dropdowns.scss --> free/_dropdowns.scss, free/_buttons.scss
| |-- _navbars.scss --> free/_navbars.scss (PRO: )
| |-- _scrollspy.scss --> none
| |-- _lightbox.scss --> none
| |-- _chips.scss --> none
| |-- _msc.scss --> none
| |-- _forms.scss --> none
| |-- _radio.scss --> none
| |-- _checkbox.scss --> none
| |-- _material-select.scss --> none
| |-- _switch.scss --> none
| |-- _file-input.scss --> free/_forms.scss, free/_buttons.scss
| |-- _range.scss --> none
| |-- _input-group.scss --> free/_input-group.scss and the same what free input group, _checkbox.scss, _radio.scss
| |-- _autocomplete.scss --> free/_forms.scss
| |-- _accordion.scss --> pro/_animations.scss, free/_cards.scss
| |-- _parallax.scss --> none
| |-- _sidenav.scss --> free/_forms.scss, pro/_animations.scss, sections/_templates.scss
| |-- _ecommerce.scss --> free/_cards.scss, pro/_cards.scss, free/_buttons.scss, pro/_buttons.scss, pro/_msc.scss
| |-- _carousels.scss --> free/_carousels.scss, free/_cards.scss, free/_buttons.scss
| |-- _steppers.scss --> free/_buttons.scss
| |-- _blog.scss --> none
| |-- _toasts.scss --> free/_buttons.scss
| |-- _animations.scss --> none
| |-- _charts.scss --> none
| |-- _progress.scss --> none
| |-- _scrollbar.scss --> none
| |-- _skins.scss --> none
| |-- _depreciated.scss
|
`-- _custom-skin.scss
`-- _custom-styles.scss
`-- _custom-variables.scss
`-- mdb.scss
Map of dependencies of JavaScript modules in MDBootstrap:
Legend:
'-->' means 'required'
All files require jQuery and bootstrap.js
js/
├── dist/
│ ├── buttons.js
│ ├── cards.js
│ ├── character-counter.js
│ ├── chips.js
│ ├── collapsible.js --> vendor/velocity.js
│ ├── dropdown.js --> Popper.js, jquery.easing.js
│ ├── file-input.js
│ ├── forms-free.js
│ ├── material-select.js --> dropdown.js
│ ├── mdb-autocomplete.js
│ ├── preloading.js
│ ├── range-input.js --> vendor/velocity.js
│ ├── scrolling-navbar.js
│ ├── sidenav.js --> vendor/velocity.js, vendor/hammer.js, vendor/jquery.hammer.js
│ └── smooth-scroll.js
├── _intro-mdb-pro.js
├── modules.js
├── src/
│ ├── buttons.js
│ ├── cards.js
│ ├── character-counter.js
│ ├── chips.js
│ ├── collapsible.js --> vendor/velocity.js
│ ├── dropdown.js --> Popper.js, jquery.easing.js
│ ├── file-input.js
│ ├── forms-free.js
│ ├── material-select.js --> dropdown.js
│ ├── mdb-autocomplete.js
│ ├── preloading.js
│ ├── range-input.js --> vendor/velocity.js
│ ├── scrolling-navbar.js
│ ├── sidenav.js --> vendor/velocity.js, vendor/hammer.js, vendor/jquery.hammer.js
│ └── smooth-scroll.js
└── vendor/
├── addons/
│ ├── datatables.js
│ └── datatables.min.js
├── chart.js
├── enhanced-modals.js
├── hammer.js
├── jarallax.js
├── jarallax-video.js --> vendor/jarallax.js
├── jquery.easing.js
├── jquery.easypiechart.js
├── jquery.hammer.js --> vendor/hammer.js
├── jquery.sticky.js
├── lightbox.js
├── picker-date.js --> vendor/picker.js
├── picker.js
├── picker-time.js --> vendor/picker.js
├── scrollbar.js
├── scrolling-navbar.js
├── toastr.js
├── velocity.js
├── waves.js
└── wow.js
Integrations with Angular, React or Vue
Apart from the standard Bootstrap integration (using jQuery), MDBootstrap also integrates with Angular, React and Vue.
About MDB Angular About MDB React About MDB VueExclusive resources
MDBootstrap is a platform for web creators and MDB packages are only a part of it.
If you sign up you'll gain free access to other useful tools & resources including:
- Community developed components & design projects
- Technical support & community forum
- CLI interface & free project hosting
- Helpful articles & news agregators
...and much more!
Don't hesitate and sign up now!
Sign up nowCheckbox examples & customization
Filled-in checkbox MDB Pro component
<!-- Filled-in checkbox -->
<div class="form-check">
<input type="checkbox" class="form-check-input filled-in" id="filledInCheckbox" checked>
<label class="form-check-label" for="filledInCheckbox">Filled-in checkbox</label>
</div>
<!-- Filled-in checkbox disabled-->
<div class="form-check">
<input type="checkbox" class="form-check-input filled-in" id="filledInCheckboxDisabled" checked disabled>
<label class="form-check-label disabled" for="filledInCheckboxDisabled">Filled-in checkbox disabled</label>
</div>
Checkbox color change MDB Pro component
<!-- Teal example -->
<div class="form-check checkbox-teal">
<input type="checkbox" class="form-check-input" id="tealExample" checked>
<label class="form-check-label" for="tealExample">Teal checkbox</label>
</div>
<!-- Filled-in orange example -->
<div class="form-check checkbox-warning-filled">
<input type="checkbox" class="form-check-input filled-in" id="orangeExample" checked>
<label class="form-check-label" for="orangeExample">Filled-in orange example</label>
</div>
.checkbox-teal [type="checkbox"]:checked+label:before {
border-color: transparent #009688 #009688 transparent;
}
.checkbox-warning-filled [type="checkbox"][class*='filled-in']:checked+label:after {
border-color: #FF8800;
background-color: #FF8800;
}
Rounded checkbox MDB Pro component
<!-- Filled-in rounded example -->
<div class="form-check checkbox-rounded">
<input type="checkbox" class="form-check-input filled-in" id="roundedExample" checked>
<label class="form-check-label" for="roundedExample">Filled-in rounded example</label>
</div>
.checkbox-rounded [type="checkbox"][class*='filled-in']+label:after {
border-radius: 50%;
}

Checkbox

React Bootstrap 5 Checkbox component

The checkbox is a component used to allow a user to make multiple choices that are broadly used in forms and surveys. Checkboxes are used to select one or several options in a list, while radio (option) buttons are for selecting one option from many.


Basic example

Browser default checkboxes and radios are replaced with the help of .form-check, a series of classes for both input types that improves the layout and behavior of their HTML elements, that provide greater customization and cross browser consistency. Checkboxes are for selecting one or several options in a list, while radios are for selecting one option from many.

Structurally, our <input>s and <label>s are sibling elements as opposed to an <input> within a <label>. This is slightly more verbose as you must specify id and for attributes to relate the <input> and <label>.

We use the sibling selector (~) for all our <input> states, like :checked or :disabled. When combined with the .form-check-label class, we can easily style the text for each item based on the <input>'s state.

        
            
            import React from 'react';
            import { MDBCheckbox } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <>
                  <MDBCheckbox name='flexCheck' value='' id='flexCheckDefault' label='Default checkbox' />
                  <MDBCheckbox name='flexCheck' value='' id='flexCheckChecked' label='Checked checkbox' defaultChecked />
                </>
              );
            }
          
        
    

Controlled value

Use the checked property to set the checkbox state. The state will not change until the property is modified. You can also add an event handler to the onChange event to manage the checkbox's state.

        
            
            import React, { useState } from 'react';
            import { MDBCheckbox } from 'mdb-react-ui-kit';

            export default function App() {
              const [checked, setChecked] = useState(false);

              return (
                <>
                  <MDBCheckbox
                    id='controlledCheckbox'
                    label='Controlled checkbox'
                    checked={checked}
                    onChange={() => setChecked(!checked)}
                  />
                </>
              );
            }
          
        
    

Disabled

Add the disabled property and the associated <label>s are automatically styled to match with a lighter color to help indicate the input’s state.

        
            
            import React from 'react';
            import { MDBCheckbox } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <>
                  <MDBCheckbox name='disabledCheck' value='' id='flexCheckDisabled' disabled label='Disabled checkbox' />
                  <MDBCheckbox name='disabledCheck' value='' id='flexCheckCheckedDisabled' defaultChecked disabled label='Disabled checked checkbox' />
                </>
              );
            }
          
        
    

Inline

Group checkboxes or radios on the same horizontal row by adding inline property.

        
            
            import React from 'react';
            import { MDBCheckbox } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <>
                  <MDBCheckbox name='inlineCheck' id='inlineCheckbox1' value='option1' label='1' inline />
                  <MDBCheckbox name='inlineCheck' id='inlineCheckbox2' value='option2' label='2' inline />
                  <MDBCheckbox name='inlineCheck' id='inlineCheckbox3' value='option3' label='3 (disabled)' disabled inline />
                </>
              );
            }
          
        
    

Without labels

Omit the label property for checkboxes and radios that have no label text. Remember to still provide some form of label for assistive technologies (for instance, using aria-label).

        
            
            import React from 'react';
            import { MDBCheckbox } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <>
                  <MDBCheckbox name='checkNoLabel' id='checkboxNoLabel' value='' aria-label='...' />
                  <MDBCheckbox name='checkNoLabel' id='checkboxNoLabe2' value='' aria-label='...' />
                </>
              );
            }
          
        
    

Toggle buttons

MDB’s .btn styles can be applied to <label>s, to provide checkbox style button toggling. Add an MDBCheckbox with a btn property to toggle the input state. You can change the color using btnColor property.

        
            
            import React from 'react';
            import { MDBCheckbox, MDBBtnGroup } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBBtnGroup>
                  <MDBCheckbox name='btnCheck' btn id='btn-check' wrapperTag='span' label='Checkbox button' />
                  <MDBCheckbox name='btnCheck' btn id='btn-check2' wrapperClass='mx-2' wrapperTag='span' label='Checkbox button' defaultChecked />
                  <MDBCheckbox name='btnCheck' btn id='btn-check3' wrapperTag='span' label='Checkbox button' />
                </MDBBtnGroup>
              );
            }
          
        
    

PAY ONCE

USE FOREVER

Hurry up ⌛ claim exclusive long term passes available only during Cyber Weeks

Checkbox - API


Import

        
            
            import { MDBCheckbox } from 'mdb-react-ui-kit';
          
        
    

Properties

MDBCheckbox

Name Type Default Description Example
btn boolean '' Makes a button from the MDBCheckbox <MDBCheckbox btn label="Example label" id="checkboxExample" />
btnColor string '' Allows to set the color of the button checkbox <MDBCheckbox btn btnColor="secondary" label="Example label" id="checkboxExample" />
checked boolean '' Defines whether the checkbox is checked <MDBCheckbox defaultChecked label="Example label" id="checkboxExample" />
defaultChecked boolean '' Makes the MDBCheckbox checked by default <MDBCheckbox defaultChecked label="Example label" id="checkboxExample" />
disabled string '' Makes the MDBCheckbox disabled <MDBCheckbox disabled label="Example label" id="checkboxExample" />
disableWrapper boolean false Disables input wrapper <MDBCheckbox disableWrapper />
id string '' Defines an id for the MDBCheckbox <MDBCheckbox label="Example label" id="inputExample" />
inline boolean '' Places the MDBCheckbox in one row <MDBCheckbox inline label="Example label" id="checkboxExample" />
inputRef React.RefObject undefined Reference to input element <MDBCheckbox inputRef={inputReference} />
label React.ReactNode '' Defines a label content for the MDBCheckbox <MDBCheckbox label="Example label" id="inputExample" />
labelId string '' Defines an id for the label <MDBCheckbox label="Example label" labelId="exampleLabel" id="checkboxExample" />
labelClass string '' Adds custom classes to the label <MDBCheckbox label="Example label" labelId="exampleLabel" labelClass="test-class" id="checkboxExample" />
labelStyle React.CSSProperties undefined Adds custom styles to the label <MDBCheckbox label="Example label" labelStyle={{color: 'red'}} />
name string '' Specifies the name for the MDBCheckbox <MDBCheckbox name="sampleName" label="Example label" id="inputExample" />
value string '' Sets the value for the MDBCheckbox <MDBCheckbox value="Example value" label="Example label" id="inputExample" />
wrapperTag string '' Defines a tag type for the wrapper of the MDBCheckbox <MDBCheckbox label="Example label" wrapperTag="span" id="exampleID" />
wrapperClass string '' Adds custom classes to the wrapper of the MDBCheckbox <MDBCheckbox wrapperClass="custom-class" label="Example label" id="checkboxExample" />
wrapperStyle React.CSSProperties undefined Adds custom styles to the wrapper <MDBCheckbox label="Example label" wrapperStyle={{color: 'red'}} />

Checkbox

Angular Bootstrap 5 Checkbox

The checkbox is a component used to allow a user to make multiple choices that are broadly used in forms and surveys. Checkboxes are used to select one or several options in a list, while radio (option) buttons are for selecting one option from many.


Basic example

Browser default checkboxes and radios are replaced with the help of .form-check, a series of classes for both input types that improve the layout and behavior of their HTML elements, that provide greater customization and cross browser consistency. Checkboxes are for selecting one or several options in a list, while radios are for selecting one option from many.

Structurally, our <input>s and <label>s are sibling elements as opposed to an <input> within a <label>. This is slightly more verbose as you must specify id and for attributes to relate the <input> and <label>.

We use the sibling selector (~) for all our <input> states, like :checked or :disabled. When combined with the .form-check-label class, we can easily style the text for each item based on the <input>'s state.

        
            
            <!-- Default checkbox -->
            <div class="form-check">
              <input
                mdbCheckbox
                class="form-check-input"
                type="checkbox"
                value=""
                id="flexCheckDefault"
              />
              <label class="form-check-label" for="flexCheckDefault">
                Default checkbox
              </label>
            </div>
            <!-- Checked checkbox -->
            <div class="form-check">
              <input
                mdbCheckbox
                class="form-check-input"
                type="checkbox"
                value=""
                id="flexCheckChecked"
                [checked]="true"
              />
              <label class="form-check-label" for="flexCheckChecked">
                Checked checkbox
              </label>
            </div>
          
        
    

Disabled

Add the disabled input and the associated <label>s are automatically styled to match with a lighter color to help indicate the input’s state.

        
            
            <div class="form-check">
              <input
                mdbCheckbox
                class="form-check-input"
                type="checkbox"
                value=""
                id="flexCheckDisabled"
                [disabled]="true"
              />
              <label class="form-check-label" for="flexCheckDisabled"> Disabled checkbox </label>
            </div>
            <div class="form-check">
              <input
                mdbCheckbox
                class="form-check-input"
                type="checkbox"
                value=""
                id="flexCheckCheckedDisabled"
                [checked]="true"
                [disabled]="true"
              />
              <label class="form-check-label" for="flexCheckCheckedDisabled">
                Disabled checked checkbox
              </label>
            </div>
          
        
    

Inline

Group checkboxes or radios on the same horizontal row by adding .form-check-inline to any .form-check.

        
            
            <div class="form-check form-check-inline">
              <input
                mdbCheckbox
                class="form-check-input"
                type="checkbox"
                id="inlineCheckbox1"
                value="option1"
              />
              <label class="form-check-label" for="inlineCheckbox1">1</label>
            </div>
            <div class="form-check form-check-inline">
              <input
                mdbCheckbox
                class="form-check-input"
                type="checkbox"
                id="inlineCheckbox2"
                value="option2"
              />
              <label class="form-check-label" for="inlineCheckbox2">2</label>
            </div>
            <div class="form-check form-check-inline">
              <input
                mdbCheckbox
                class="form-check-input"
                type="checkbox"
                id="inlineCheckbox3"
                value="option3"
                [disabled]="true"
              />
              <label class="form-check-label" for="inlineCheckbox3">3 (disabled)</label>
            </div>
          
        
    

Without labels

Omit the wrapping .form-check for checkboxes and radios that have no label text. Remember to still provide some form of label for assistive technologies (for instance, using aria-label).

        
            
            <div>
              <input
                mdbCheckbox
                class="form-check-input"
                type="checkbox"
                id="checkboxNoLabel"
                value=""
                aria-label="..."
              />
            </div>
            <div>
              <input
                mdbCheckbox
                class="form-check-input"
                type="checkbox"
                id="checkboxNoLabel2"
                value=""
                aria-label="..."
              />
            </div>
          
        
    

Toggle buttons

MDB’s .btn styles can be applied to <label>s, to provide checkbox style button toggling. Add an input with a .btn-check class as previous sibling to toggle the input state.

        
            
            <input mdbCheckbox type="checkbox" class="btn-check" id="btn-check" autocomplete="off" />
            <label class="btn btn-primary" for="btn-check">Checkbox button</label>
            <input
              mdbCheckbox
              type="checkbox"
              class="btn-check"
              id="btn-check2"
              [checked]="true"
              autocomplete="off"
            />
            <label class="btn btn-primary" for="btn-check2">Checkbox button</label>
            <input mdbCheckbox type="checkbox" class="btn-check" id="btn-check3" autocomplete="off" />
            <label class="btn btn-primary" for="btn-check3">Checkbox button</label>
          
        
    

PAY ONCE

USE FOREVER

Hurry up ⌛ claim exclusive long term passes available only during Cyber Weeks

Checkbox - API


Import

        
            
          import { MdbCheckboxModule } from 'mdb-angular-ui-kit/checkbox';
          …
          @NgModule ({
            ...
            imports: [MdbCheckboxModule],
            ...
          })
        
        
    

Inputs

Name Type Default Description
checked Boolean false Changes checkbox checked state
disabled Boolean false Changes checkbox disabled state
value any - Changes checkbox value

Outputs

Name Type Description
checkboxChange EventEmitter<MdbCheckboxChange> Fires when checkbox's value is changed.
        
            
            <!-- Default checkbox -->
            <div class="form-check">
              <input
                mdbCheckbox
                class="form-check-input"
                type="checkbox"
                value=""
                id="flexCheckDefault"
                (checkboxChange)="onCheckboxChange($event)"
              />
              <label class="form-check-label" for="flexCheckDefault">
                Default checkbox
              </label>
            </div>
            <!-- Checked checkbox -->
            <div class="form-check">
              <input
                mdbCheckbox
                class="form-check-input"
                type="checkbox"
                value=""
                id="flexCheckChecked"
                [checked]="true"
                (checkboxChange)="onCheckboxChange($event)"
              />
              <label class="form-check-label" for="flexCheckChecked">
                Checked checkbox
              </label>
            </div>  
            
        
    
        
            
            import { Component } from '@angular/core';
            import { MdbCheckboxChange } from 'mdb-angular-ui-kit/checkbox';
            
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent {
              onCheckboxChange(event: MdbCheckboxChange): void {
                console.log('checkbox changed: ', event);
              }
            }                        
            
        
    

Methods

Name Description Example
toggle Manually toggle a checkbox checkbox.toggle()
        
            
                <div class="form-check">
                  <input
                    mdbCheckbox
                    class="form-check-input"
                    type="checkbox"
                    value=""
                    id="flexCheckDefault"
                  />
                  <label class="form-check-label" for="flexCheckDefault"> Default checkbox </label>
                </div>
              
        
    
        
            
                import { Component, OnInit, ViewChild } from '@angular/core';
                import { MdbCheckboxDirective } from 'mdb-angular-ui-kit/checkbox';

                @Component({
                  selector: 'app-root',
                  templateUrl: './app.component.html',
                  styleUrls: ['./app.component.scss'],
                })
                export class AppComponent implements OnInit {
                  @ViewChild(MdbCheckboxDirective, { static: true }) checkbox!: MdbCheckboxDirective;

                  ngOnInit(): void {
                    this.checkbox.toggle();
                  }
                }
              
        
    

Advanced types

MdbCheckboxChange

        
            
            class MdbCheckboxChange {
              element: MdbCheckboxDirective;
              checked: boolean;
            }

Checkbox

Vue Bootstrap 5 Checkbox component

Vue checkbox is a component used to allow a user to make multiple choices that are broadly used in forms and surveys. Checkboxes are used to select one or several options in a list, while radio (option) buttons are for selecting one option from many.


Basic example

Browser default checkboxes and radios are replaced with the help of .form-check, a series of classes for both input types that improves the layout and behavior of their HTML elements, that provide greater customization and cross browser consistency. Checkboxes are for selecting one or several options in a list, while radios are for selecting one option from many.

        
            
            <template>
              <MDBCheckbox label="Default checkbox" v-model="checkbox1" />
              <MDBCheckbox label="Checked checkbox" v-model="checkbox2" />
            </template>
          
        
    
        
            
            <script>
              import { MDBCheckbox } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              export default {
                components: {
                  MDBCheckbox
                },
                setup() {
                  const checkbox1 = ref(false);
                  const checkbox2 = ref(true);

                  return {
                    checkbox1,
                    checkbox2
                  };
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBCheckbox } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              const checkbox1 = ref(false);
              const checkbox2 = ref(true);
            </script>
          
        
    

Disabled

Add the disabled attribute and the associated <label>s are automatically styled to match with a lighter color to help indicate the input’s state.

        
            
            <template>
              <MDBCheckbox label="Disabled checkbox" disabled v-model="checkbox3" />
              <MDBCheckbox label="Disabled checked checkbox" disabled v-model="checkbox4" />
            </template>
          
        
    
        
            
            <script>
              import { MDBCheckbox } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              export default {
                components: {
                  MDBCheckbox,
                },
                setup() {
                  const checkbox3 = ref(false);
                  const checkbox4 = ref(true);

                  return {
                    checkbox3,
                    checkbox4,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBCheckbox } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              const checkbox3 = ref(false);
              const checkbox4 = ref(true);
            </script>
          
        
    

Inline

Group checkboxes or radios on the same horizontal row by adding inline property to any MDBCheckbox.

        
            
            <template>
              <MDBCheckbox label="1" inline />
              <MDBCheckbox label="2" inline />
              <MDBCheckbox label="(disabled)" inline disabled />
            </template>
          
        
    
        
            
            <script>
              import { MDBCheckbox } from 'mdb-vue-ui-kit';

              export default {
                components: {
                  MDBCheckbox,
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBCheckbox } from 'mdb-vue-ui-kit';
            </script>
          
        
    

Without labels

Omit the wrapping .form-check for checkboxes and radios that have no label text by adding :formCheck="false". Remember to still provide some form of label for assistive technologies (for instance, using aria-label).

        
            
            <template>
              <MDBCheckbox aria-label="..." :formCheck="false" />
              <MDBCheckbox aria-label="..." :formCheck="false" />
            </template>
          
        
    
        
            
            <script>
              import { MDBCheckbox } from 'mdb-vue-ui-kit';

              export default {
                components: {
                  MDBCheckbox,
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBCheckbox } from 'mdb-vue-ui-kit';
            </script>
          
        
    

Toggle buttons

MDB’s .btn styles can be applied to <label>s, to provide checkbox style button toggling. Add :btnCheck="true" to any MDBCheckbox.

        
            
            <template>
              <MDBCheckbox
                tag="span"
                :btnCheck="true"
                labelClass="btn btn-primary"
                label="Checkbox button"
                v-model="checkbox5"
              />
              <MDBCheckbox
                tag="span"
                :btnCheck="true"
                labelClass="btn btn-primary"
                label="Checkbox button"
                v-model="checkbox6"
              />
              <MDBCheckbox
                tag="span"
                :btnCheck="true"
                labelClass="btn btn-primary"
                label="Checkbox button"
                v-model="checkbox7"
              />
            </template>
          
        
    
        
            
            <script>
              import { MDBCheckbox } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              export default {
                components: {
                  MDBCheckbox,
                },
                setup() {
                  const checkbox5 = ref(false);
                  const checkbox6 = ref(true);
                  const checkbox7 = ref(false);

                  return {
                    checkbox5,
                    checkbox6,
                    checkbox7,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBCheckbox } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              const checkbox5 = ref(false);
              const checkbox6 = ref(true);
              const checkbox7 = ref(false);
            </script>
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Checkbox - API


Import

        
            
          <script>
            import {
              MDBCheckbox
            } from 'mdb-vue-ui-kit';
          </script>
        
        
    

Properties

Property Type Default Description
label String "" Changes input label
wrapperClass String "" Changes input wrapper classes
labelClass String "" Changes input label classes
inputClass String "" Adds custom input class
inline Boolean false Enables inline mode
btnCheck Boolean false Enables btn mode
wrap Boolean true Enables div.form-check wrapper
formCheck Boolean true Enables wrapper .formCheck class
tag String "div" Changes input wrapper tag
v-model Boolean "" Changes input value with two-way data binding
required Boolean Adds required attribute to input element
validateOnChange Boolean Add validation on change event to element
isValidated Boolean false Marks element as validated.
isValid Boolean "" Sets element as valid or invalid
validFeedback String "" Sets valid status feedback for validated element
invalidFeedback String "" Sets invalid status feedback for validated element
tooltipFeedback Boolean false Display validation feedback in a styled tooltip